to_seq.hpp File Reference
`#include <msgpack/preprocessor/cat.hpp>`
`#include <msgpack/preprocessor/config/config.hpp>`
`#include <msgpack/preprocessor/array/size.hpp>`
`#include <msgpack/preprocessor/control/if.hpp>`
`#include <msgpack/preprocessor/tuple/to_seq.hpp>`

Go to the source code of this file.

## Macros

#define | MSGPACK_PP_ARRAY_TO_SEQ(array)
#define | MSGPACK_PP_ARRAY_TO_SEQ_EMPTY(array)
#define | MSGPACK_PP_ARRAY_TO_SEQ_DO(array) MSGPACK_PP_TUPLE_TO_SEQ array

## Macro Definition Documentation

## MSGPACK_PP_ARRAY_TO_SEQ

#define MSGPACK_PP_ARRAY_TO_SEQ | ( |  | array | ) |

Value:
MSGPACK_PP_IF \
( \
MSGPACK_PP_ARRAY_SIZE(array), \
MSGPACK_PP_ARRAY_TO_SEQ_DO, \
MSGPACK_PP_ARRAY_TO_SEQ_EMPTY \
) \
(array) \
MSGPACK_PP_IF
#define MSGPACK_PP_IF(cond, t, f)
Definition: if.hpp:26

## MSGPACK_PP_ARRAY_TO_SEQ_DO

#define MSGPACK_PP_ARRAY_TO_SEQ_DO | ( |  | array | ) | MSGPACK_PP_TUPLE_TO_SEQ array

## MSGPACK_PP_ARRAY_TO_SEQ_EMPTY

#define MSGPACK_PP_ARRAY_TO_SEQ_EMPTY | ( |  | array | ) |